curl --request GET \
--url https://api.withflex.com/v1/invoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withflex.com/v1/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withflex.com/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invoices": [
{
"invoice_id": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"total": 2500,
"amount_due": 2500,
"amount_paid": 2500,
"payment_intent": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"charge": "fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"period_end": "string",
"period_start": "string",
"subscription": "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"paid_at": "string",
"status": "draft",
"collection_method": "charge_automatically",
"test_mode": false,
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"created_at": "2026-06-15T14:30:00Z",
"backup_charge_status": "pending"
}
]
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"code": "string",
"detail": "string"
}List Invoices
List invoices
Authorizations
Use a Bearer token to access this API.
Query Parameters
Comma-separated list of related objects to expand in the response.
""
Filter invoices by customer ID
"fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
A cursor for use in pagination. starting_after is an invoice ID that defines your place in the list. For instance, if you make a list request and receive 20 invoices, ending with fin_xyz, your subsequent call can include starting_after=fin_xyz to fetch the next page.
"fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
A cursor for use in pagination. ending_before is an invoice ID that defines your place in the list. For instance, if you make a list request and receive 20 invoices, starting with fin_abc, your subsequent call can include ending_before=fin_abc to fetch the previous page.
"fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.
1 <= x <= 10010
Response
An envelope wrapping a list of invoice objects.
An envelope wrapping a list of invoice objects.
The list of invoices.
Show child attributes
Show child attributes